Bug 550663 - New upstream version v0.6.06 fixes at least one major bug
Summary: New upstream version v0.6.06 fixes at least one major bug
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: duplicity
Version: el5
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Robert Scheck
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-26 17:56 UTC by Adam Batkin
Modified: 2010-01-18 23:22 UTC (History)
1 user (show)

Fixed In Version: 0.6.06-1.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-26 18:44:30 UTC
Type: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 435975 None None None Never

Description Adam Batkin 2009-12-26 17:56:50 UTC
There is a new version of duplicity (v0.6.06) upstream.

The new version includes a fix which is critical for anyone using duplicity as part of a cron job or other automated script (which I would guess is almost everyone).

v0.6.05 ALWAYS prompts for a GPG passphrase, even when it isn't needed, as compared to older versions that only prompt when it is actually needed. So anyone using duplicity in a cron job will suddenly find all of their duplicity backups failing since it can't get the GPG passphrase (which it doesn't actually need).

A temporary workaround which works in most cases is to set the PASSPHRASE environment variable (it doesn't need to be set to the actual GPG passphrase since, again, it doesn't actually use the passphrase anywhere)

Comment 1 Robert Scheck 2009-12-26 18:44:30 UTC
I've commited duplicity-0.6.06-1 to CVS and will push it as update for all 
active Fedora and EPEL branches. Thanks for your report.

Comment 2 Fedora Update System 2009-12-26 19:00:05 UTC
duplicity-0.6.06-1.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/duplicity-0.6.06-1.el4

Comment 3 Fedora Update System 2009-12-26 19:00:24 UTC
duplicity-0.6.06-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/duplicity-0.6.06-1.fc11

Comment 4 Fedora Update System 2009-12-26 19:00:31 UTC
duplicity-0.6.06-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/duplicity-0.6.06-1.fc12

Comment 5 Fedora Update System 2009-12-26 19:00:32 UTC
duplicity-0.6.06-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/duplicity-0.6.06-1.el5

Comment 6 Fedora Update System 2009-12-27 20:29:21 UTC
duplicity-0.6.06-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2009-12-27 20:34:15 UTC
duplicity-0.6.06-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2010-01-18 23:20:44 UTC
duplicity-0.6.06-1.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2010-01-18 23:22:08 UTC
duplicity-0.6.06-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.